## Provided Capabilities (1)

Name | Dynamic | Other provider points
--- | --- | ---
org.wildfly.extension.vertx.options | true | none

## Attributes (16)

- address-resolver-option - The address-resolver-option name used for the AddressResolverOptions

  Type | STRING
  Is the attribute nillable? | true
  Does the attribute allow expression? | true
  Where is the attribute stored? | configuration
  Access Type | read-write
  Is restarted required? | no-services
  Stability Level | default
  Raw DMR model |
      {
          "type" : {
              "TYPE_MODEL_VALUE" : "STRING"
          },
          "description" : "The address-resolver-option name used for the AddressResolverOptions",
          "expressions-allowed" : true,
          "required" : false,
          "nillable" : true,
          "min-length" : 1,
          "max-length" : 2147483647,
          "stability" : "default",
          "access-type" : "read-write",
          "storage" : "configuration",
          "restart-required" : "no-services",
          "capability-reference" : null
      }

- blocked-thread-check-interval - The blocked thread check interval, defaults to 1000 ms

  Type | LONG
  Is the attribute nillable? | true
  Does the attribute allow expression? | true
  Where is the attribute stored? | configuration
  Access Type | read-write
  Is restarted required? | no-services
  Min | 1
  Max | 2147483647
  Stability Level | default
  Raw DMR model |
      {
          "type" : {
              "TYPE_MODEL_VALUE" : "LONG"
          },
          "description" : "The blocked thread check interval, defaults to 1000 ms",
          "expressions-allowed" : true,
          "required" : false,
          "nillable" : true,
          "min" : 1,
          "max" : 2147483647,
          "stability" : "default",
          "access-type" : "read-write",
          "storage" : "configuration",
          "restart-required" : "no-services",
          "capability-reference" : null
      }

- blocked-thread-check-interval-unit - The blocked thread check interval unit, defaults to MILLISECONDS

  Type | STRING
  Is the attribute nillable? | true
  Does the attribute allow expression? | true
  Where is the attribute stored? | configuration
  Access Type | read-write
  Is restarted required? | no-services
  Allowed Values | MILLISECONDS MICROSECONDS HOURS SECONDS NANOSECONDS DAYS MINUTES
  Stability Level | default
  Raw DMR model |
      {
          "type" : {
              "TYPE_MODEL_VALUE" : "STRING"
          },
          "description" : "The blocked thread check interval unit, defaults to MILLISECONDS",
          "expressions-allowed" : true,
          "required" : false,
          "nillable" : true,
          "min-length" : 1,
          "max-length" : 2147483647,
          "allowed" : [
              "NANOSECONDS",
              "MICROSECONDS",
              "MILLISECONDS",
              "SECONDS",
              "MINUTES",
              "HOURS",
              "DAYS"
          ],
          "stability" : "default",
          "access-type" : "read-write",
          "storage" : "configuration",
          "restart-required" : "no-services",
          "capability-reference" : null
      }

- classpath-resolving-enabled - Whether classpath resolving is enabled

  Type | BOOLEAN
  Is the attribute nillable? | true
  Does the attribute allow expression? | true
  Where is the attribute stored? | configuration
  Access Type | read-write
  Is restarted required? | no-services
  Stability Level | default
  Raw DMR model |
      {
          "type" : {
              "TYPE_MODEL_VALUE" : "BOOLEAN"
          },
          "description" : "Whether classpath resolving is enabled",
          "expressions-allowed" : true,
          "required" : false,
          "nillable" : true,
          "stability" : "default",
          "access-type" : "read-write",
          "storage" : "configuration",
          "restart-required" : "no-services",
          "capability-reference" : null
      }

- event-loop-pool-size - The size of the event loop threads pool, defaults to 2 * number of cores on the machine

  Type | INT
  Is the attribute nillable? | true
  Does the attribute allow expression? | true
  Where is the attribute stored? | configuration
  Access Type | read-write
  Is restarted required? | no-services
  Min | 1
  Max | 2147483647
  Stability Level | default
  Raw DMR model |
      {
          "type" : {
              "TYPE_MODEL_VALUE" : "INT"
          },
          "description" : "The size of the event loop threads pool, defaults to 2 * number of cores on the machine",
          "expressions-allowed" : true,
          "required" : false,
          "nillable" : true,
          "min" : 1,
          "max" : 2147483647,
          "stability" : "default",
          "access-type" : "read-write",
          "storage" : "configuration",
          "restart-required" : "no-services",
          "capability-reference" : null
      }

- file-cache-dir - The file cache directory

  Type | STRING
  Is the attribute nillable? | true
  Does the attribute allow expression? | true
  Where is the attribute stored? | configuration
  Access Type | read-write
  Is restarted required? | no-services
  Stability Level | default
  Raw DMR model |
      {
          "type" : {
              "TYPE_MODEL_VALUE" : "STRING"
          },
          "description" : "The file cache directory",
          "expressions-allowed" : true,
          "required" : false,
          "nillable" : true,
          "min-length" : 1,
          "max-length" : 2147483647,
          "stability" : "default",
          "access-type" : "read-write",
          "storage" : "configuration",
          "restart-required" : "no-services",
          "capability-reference" : null
      }

- file-cache-enabled - Whether file caching is enabled for class path resolving

  Type | BOOLEAN
  Is the attribute nillable? | true
  Does the attribute allow expression? | true
  Where is the attribute stored? | configuration
  Access Type | read-write
  Is restarted required? | no-services
  Stability Level | default
  Raw DMR model |
      {
          "type" : {
              "TYPE_MODEL_VALUE" : "BOOLEAN"
          },
          "description" : "Whether file caching is enabled for class path resolving",
          "expressions-allowed" : true,
          "required" : false,
          "nillable" : true,
          "stability" : "default",
          "access-type" : "read-write",
          "storage" : "configuration",
          "restart-required" : "no-services",
          "capability-reference" : null
      }

- internal-blocking-pool-size - The size of the internal blocking thread pool, defaults to 20

  Type | INT
  Is the attribute nillable? | true
  Does the attribute allow expression? | true
  Where is the attribute stored? | configuration
  Access Type | read-write
  Is restarted required? | no-services
  Min | 1
  Max | 2147483647
  Stability Level | default
  Raw DMR model |
      {
          "type" : {
              "TYPE_MODEL_VALUE" : "INT"
          },
          "description" : "The size of the internal blocking thread pool, defaults to 20",
          "expressions-allowed" : true,
          "required" : false,
          "nillable" : true,
          "min" : 1,
          "max" : 2147483647,
          "stability" : "default",
          "access-type" : "read-write",
          "storage" : "configuration",
          "restart-required" : "no-services",
          "capability-reference" : null
      }

- max-eventloop-execute-time - The max event loop execute time, defaults to 2 seconds

  Type | LONG
  Is the attribute nillable? | true
  Does the attribute allow expression? | true
  Where is the attribute stored? | configuration
  Access Type | read-write
  Is restarted required? | no-services
  Min | 1
  Max | 2147483647
  Stability Level | default
  Raw DMR model |
      {
          "type" : {
              "TYPE_MODEL_VALUE" : "LONG"
          },
          "description" : "The max event loop execute time, defaults to 2 seconds",
          "expressions-allowed" : true,
          "required" : false,
          "nillable" : true,
          "min" : 1,
          "max" : 2147483647,
          "stability" : "default",
          "access-type" : "read-write",
          "storage" : "configuration",
          "restart-required" : "no-services",
          "capability-reference" : null
      }

- max-eventloop-execute-time-unit - The max event loop execute time unit, defaults to NANOSECONDS

  Type | STRING
  Is the attribute nillable? | true
  Does the attribute allow expression? | true
  Where is the attribute stored? | configuration
  Access Type | read-write
  Is restarted required? | no-services
  Allowed Values | MILLISECONDS MICROSECONDS HOURS SECONDS NANOSECONDS DAYS MINUTES
  Stability Level | default
  Raw DMR model |
      {
          "type" : {
              "TYPE_MODEL_VALUE" : "STRING"
          },
          "description" : "The max event loop execute time unit, defaults to NANOSECONDS",
          "expressions-allowed" : true,
          "required" : false,
          "nillable" : true,
          "min-length" : 1,
          "max-length" : 2147483647,
          "allowed" : [
              "NANOSECONDS",
              "MICROSECONDS",
              "MILLISECONDS",
              "SECONDS",
              "MINUTES",
              "HOURS",
              "DAYS"
          ],
          "stability" : "default",
          "access-type" : "read-write",
          "storage" : "configuration",
          "restart-required" : "no-services",
          "capability-reference" : null
      }

- max-worker-execute-time - The max worker execute time, defaults to 60 seconds

  Type | LONG
  Is the attribute nillable? | true
  Does the attribute allow expression? | true
  Where is the attribute stored? | configuration
  Access Type | read-write
  Is restarted required? | no-services
  Min | 1
  Max | 2147483647
  Stability Level | default
  Raw DMR model |
      {
          "type" : {
              "TYPE_MODEL_VALUE" : "LONG"
          },
          "description" : "The max worker execute time, defaults to 60 seconds",
          "expressions-allowed" : true,
          "required" : false,
          "nillable" : true,
          "min" : 1,
          "max" : 2147483647,
          "stability" : "default",
          "access-type" : "read-write",
          "storage" : "configuration",
          "restart-required" : "no-services",
          "capability-reference" : null
      }

- max-worker-execute-time-unit - The max worker execute time unit, defaults to NANOSECONDS

  Type | STRING
  Is the attribute nillable? | true
  Does the attribute allow expression? | true
  Where is the attribute stored? | configuration
  Access Type | read-write
  Is restarted required? | no-services
  Allowed Values | MILLISECONDS MICROSECONDS HOURS SECONDS NANOSECONDS DAYS MINUTES
  Stability Level | default
  Raw DMR model |
      {
          "type" : {
              "TYPE_MODEL_VALUE" : "STRING"
          },
          "description" : "The max worker execute time unit, defaults to NANOSECONDS",
          "expressions-allowed" : true,
          "required" : false,
          "nillable" : true,
          "min-length" : 1,
          "max-length" : 2147483647,
          "allowed" : [
              "NANOSECONDS",
              "MICROSECONDS",
              "MILLISECONDS",
              "SECONDS",
              "MINUTES",
              "HOURS",
              "DAYS"
          ],
          "stability" : "default",
          "access-type" : "read-write",
          "storage" : "configuration",
          "restart-required" : "no-services",
          "capability-reference" : null
      }

- prefer-native-transport - If native transport is preferred or not

  Type | BOOLEAN
  Is the attribute nillable? | true
  Does the attribute allow expression? | true
  Where is the attribute stored? | configuration
  Access Type | read-write
  Is restarted required? | no-services
  Stability Level | default
  Raw DMR model |
      {
          "type" : {
              "TYPE_MODEL_VALUE" : "BOOLEAN"
          },
          "description" : "If native transport is preferred or not",
          "expressions-allowed" : true,
          "required" : false,
          "nillable" : true,
          "stability" : "default",
          "access-type" : "read-write",
          "storage" : "configuration",
          "restart-required" : "no-services",
          "capability-reference" : null
      }

- warning-exception-time - The warning exception time, If a thread is blocked longer than this threshold, the warning log contains a stack trace, defaults to 5 seconds

  Type | LONG
  Is the attribute nillable? | true
  Does the attribute allow expression? | true
  Where is the attribute stored? | configuration
  Access Type | read-write
  Is restarted required? | no-services
  Min | 1
  Max | 2147483647
  Stability Level | default
  Raw DMR model |
      {
          "type" : {
              "TYPE_MODEL_VALUE" : "LONG"
          },
          "description" : "The warning exception time, If a thread is blocked longer than this threshold, the warning log contains a stack trace, defaults to 5 seconds",
          "expressions-allowed" : true,
          "required" : false,
          "nillable" : true,
          "min" : 1,
          "max" : 2147483647,
          "stability" : "default",
          "access-type" : "read-write",
          "storage" : "configuration",
          "restart-required" : "no-services",
          "capability-reference" : null
      }

- warning-exception-time-unit - The warning exception time, defaults to NANOSECONDS

  Type | STRING
  Is the attribute nillable? | true
  Does the attribute allow expression? | true
  Where is the attribute stored? | configuration
  Access Type | read-write
  Is restarted required? | no-services
  Allowed Values | MILLISECONDS MICROSECONDS HOURS SECONDS NANOSECONDS DAYS MINUTES
  Stability Level | default
  Raw DMR model |
      {
          "type" : {
              "TYPE_MODEL_VALUE" : "STRING"
          },
          "description" : "The warning exception time, defaults to NANOSECONDS",
          "expressions-allowed" : true,
          "required" : false,
          "nillable" : true,
          "min-length" : 1,
          "max-length" : 2147483647,
          "allowed" : [
              "NANOSECONDS",
              "MICROSECONDS",
              "MILLISECONDS",
              "SECONDS",
              "MINUTES",
              "HOURS",
              "DAYS"
          ],
          "stability" : "default",
          "access-type" : "read-write",
          "storage" : "configuration",
          "restart-required" : "no-services",
          "capability-reference" : null
      }

- worker-pool-size - The size of the worker thread pool, defaults to 20

  Type | INT
  Is the attribute nillable? | true
  Does the attribute allow expression? | true
  Where is the attribute stored? | configuration
  Access Type | read-write
  Is restarted required? | no-services
  Min | 1
  Max | 2147483647
  Stability Level | default
  Raw DMR model |
      {
          "type" : {
              "TYPE_MODEL_VALUE" : "INT"
          },
          "description" : "The size of the worker thread pool, defaults to 20",
          "expressions-allowed" : true,
          "required" : false,
          "nillable" : true,
          "min" : 1,
          "max" : 2147483647,
          "stability" : "default",
          "access-type" : "read-write",
          "storage" : "configuration",
          "restart-required" : "no-services",
          "capability-reference" : null
      }

## Operations (3)

- 🅿 add - Add a VertxOptions

  Request Parameter | Type | Required | Expressions Allowed | Default value | Description
  --- | --- | --- | --- | --- | ---
  address-resolver-option | STRING | false | true |  | The address-resolver-option name used for the AddressResolverOptions
  blocked-thread-check-interval | LONG | false | true |  | The blocked thread check interval, defaults to 1000 ms
  blocked-thread-check-interval-unit | STRING | false | true |  | The blocked thread check interval unit, defaults to MILLISECONDS
  classpath-resolving-enabled | BOOLEAN | false | true |  | Whether classpath resolving is enabled
  event-loop-pool-size | INT | false | true |  | The size of the event loop threads pool, defaults to 2 * number of cores on the machine
  file-cache-dir | STRING | false | true |  | The file cache directory
  file-cache-enabled | BOOLEAN | false | true |  | Whether file caching is enabled for class path resolving
  internal-blocking-pool-size | INT | false | true |  | The size of the internal blocking thread pool, defaults to 20
  max-eventloop-execute-time | LONG | false | true |  | The max event loop execute time, defaults to 2 seconds
  max-eventloop-execute-time-unit | STRING | false | true |  | The max event loop execute time unit, defaults to NANOSECONDS
  max-worker-execute-time | LONG | false | true |  | The max worker execute time, defaults to 60 seconds
  max-worker-execute-time-unit | STRING | false | true |  | The max worker execute time unit, defaults to NANOSECONDS
  prefer-native-transport | BOOLEAN | false | true |  | If native transport is preferred or not
  warning-exception-time | LONG | false | true |  | The warning exception time, If a thread is blocked longer than this threshold, the warning log contains a stack trace, defaults to 5 seconds
  warning-exception-time-unit | STRING | false | true |  | The warning exception time, defaults to NANOSECONDS
  worker-pool-size | INT | false | true |  | The size of the worker thread pool, defaults to 20

  Raw DMR model |
      {
          "operation-name" : "add",
          "description" : "Add a VertxOptions",
          "request-properties" : {
              "address-resolver-option" : {
                  "type" : {
                      "TYPE_MODEL_VALUE" : "STRING"
                  },
                  "description" : "The address-resolver-option name used for the AddressResolverOptions",
                  "expressions-allowed" : true,
                  "required" : false,
                  "nillable" : true,
                  "min-length" : 1,
                  "max-length" : 2147483647,
                  "stability" : "default"
              },
              "blocked-thread-check-interval" : {
                  "type" : {
                      "TYPE_MODEL_VALUE" : "LONG"
                  },
                  "description" : "The blocked thread check interval, defaults to 1000 ms",
                  "expressions-allowed" : true,
                  "required" : false,
                  "nillable" : true,
                  "min" : 1,
                  "max" : 2147483647,
                  "stability" : "default"
              },
              "blocked-thread-check-interval-unit" : {
                  "type" : {
                      "TYPE_MODEL_VALUE" : "STRING"
                  },
                  "description" : "The blocked thread check interval unit, defaults to MILLISECONDS",
                  "expressions-allowed" : true,
                  "required" : false,
                  "nillable" : true,
                  "min-length" : 1,
                  "max-length" : 2147483647,
                  "allowed" : [
                      "NANOSECONDS",
                      "MICROSECONDS",
                      "MILLISECONDS",
                      "SECONDS",
                      "MINUTES",
                      "HOURS",
                      "DAYS"
                  ],
                  "stability" : "default"
              },
              "classpath-resolving-enabled" : {
                  "type" : {
                      "TYPE_MODEL_VALUE" : "BOOLEAN"
                  },
                  "description" : "Whether classpath resolving is enabled",
                  "expressions-allowed" : true,
                  "required" : false,
                  "nillable" : true,
                  "stability" : "default"
              },
              "event-loop-pool-size" : {
                  "type" : {
                      "TYPE_MODEL_VALUE" : "INT"
                  },
                  "description" : "The size of the event loop threads pool, defaults to 2 * number of cores on the machine",
                  "expressions-allowed" : true,
                  "required" : false,
                  "nillable" : true,
                  "min" : 1,
                  "max" : 2147483647,
                  "stability" : "default"
              },
              "file-cache-dir" : {
                  "type" : {
                      "TYPE_MODEL_VALUE" : "STRING"
                  },
                  "description" : "The file cache directory",
                  "expressions-allowed" : true,
                  "required" : false,
                  "nillable" : true,
                  "min-length" : 1,
                  "max-length" : 2147483647,
                  "stability" : "default"
              },
              "file-cache-enabled" : {
                  "type" : {
                      "TYPE_MODEL_VALUE" : "BOOLEAN"
                  },
                  "description" : "Whether file caching is enabled for class path resolving",
                  "expressions-allowed" : true,
                  "required" : false,
                  "nillable" : true,
                  "stability" : "default"
              },
              "internal-blocking-pool-size" : {
                  "type" : {
                      "TYPE_MODEL_VALUE" : "INT"
                  },
                  "description" : "The size of the internal blocking thread pool, defaults to 20",
                  "expressions-allowed" : true,
                  "required" : false,
                  "nillable" : true,
                  "min" : 1,
                  "max" : 2147483647,
                  "stability" : "default"
              },
              "max-eventloop-execute-time" : {
                  "type" : {
                      "TYPE_MODEL_VALUE" : "LONG"
                  },
                  "description" : "The max event loop execute time, defaults to 2 seconds",
                  "expressions-allowed" : true,
                  "required" : false,
                  "nillable" : true,
                  "min" : 1,
                  "max" : 2147483647,
                  "stability" : "default"
              },
              "max-eventloop-execute-time-unit" : {
                  "type" : {
                      "TYPE_MODEL_VALUE" : "STRING"
                  },
                  "description" : "The max event loop execute time unit, defaults to NANOSECONDS",
                  "expressions-allowed" : true,
                  "required" : false,
                  "nillable" : true,
                  "min-length" : 1,
                  "max-length" : 2147483647,
                  "allowed" : [
                      "NANOSECONDS",
                      "MICROSECONDS",
                      "MILLISECONDS",
                      "SECONDS",
                      "MINUTES",
                      "HOURS",
                      "DAYS"
                  ],
                  "stability" : "default"
              },
              "max-worker-execute-time" : {
                  "type" : {
                      "TYPE_MODEL_VALUE" : "LONG"
                  },
                  "description" : "The max worker execute time, defaults to 60 seconds",
                  "expressions-allowed" : true,
                  "required" : false,
                  "nillable" : true,
                  "min" : 1,
                  "max" : 2147483647,
                  "stability" : "default"
              },
              "max-worker-execute-time-unit" : {
                  "type" : {
                      "TYPE_MODEL_VALUE" : "STRING"
                  },
                  "description" : "The max worker execute time unit, defaults to NANOSECONDS",
                  "expressions-allowed" : true,
                  "required" : false,
                  "nillable" : true,
                  "min-length" : 1,
                  "max-length" : 2147483647,
                  "allowed" : [
                      "NANOSECONDS",
                      "MICROSECONDS",
                      "MILLISECONDS",
                      "SECONDS",
                      "MINUTES",
                      "HOURS",
                      "DAYS"
                  ],
                  "stability" : "default"
              },
              "prefer-native-transport" : {
                  "type" : {
                      "TYPE_MODEL_VALUE" : "BOOLEAN"
                  },
                  "description" : "If native transport is preferred or not",
                  "expressions-allowed" : true,
                  "required" : false,
                  "nillable" : true,
                  "stability" : "default"
              },
              "warning-exception-time" : {
                  "type" : {
                      "TYPE_MODEL_VALUE" : "LONG"
                  },
                  "description" : "The warning exception time, If a thread is blocked longer than this threshold, the warning log contains a stack trace, defaults to 5 seconds",
                  "expressions-allowed" : true,
                  "required" : false,
                  "nillable" : true,
                  "min" : 1,
                  "max" : 2147483647,
                  "stability" : "default"
              },
              "warning-exception-time-unit" : {
                  "type" : {
                      "TYPE_MODEL_VALUE" : "STRING"
                  },
                  "description" : "The warning exception time, defaults to NANOSECONDS",
                  "expressions-allowed" : true,
                  "required" : false,
                  "nillable" : true,
                  "min-length" : 1,
                  "max-length" : 2147483647,
                  "allowed" : [
                      "NANOSECONDS",
                      "MICROSECONDS",
                      "MILLISECONDS",
                      "SECONDS",
                      "MINUTES",
                      "HOURS",
                      "DAYS"
                  ],
                  "stability" : "default"
              },
              "worker-pool-size" : {
                  "type" : {
                      "TYPE_MODEL_VALUE" : "INT"
                  },
                  "description" : "The size of the worker thread pool, defaults to 20",
                  "expressions-allowed" : true,
                  "required" : false,
                  "nillable" : true,
                  "min" : 1,
                  "max" : 2147483647,
                  "stability" : "default"
              }
          },
          "reply-properties" : {},
          "stability" : "preview",
          "read-only" : false,
          "runtime-only" : false
      }

- remove - Remove a VertxOptions

  Raw DMR model |
      {
          "operation-name" : "remove",
          "description" : "Remove a VertxOptions",
          "request-properties" : {},
          "reply-properties" : {},
          "stability" : "default",
          "read-only" : false,
          "restart-required" : "all-services",
          "runtime-only" : false
      }

- show-info - Show VertxOptions information

  ### Reply properties

  Type
    OBJECT
  Value Type

        OBJECT

  Raw DMR model |
      {
          "operation-name" : "show-info",
          "description" : "Show VertxOptions information",
          "request-properties" : {},
          "reply-properties" : {
              "type" : {
                  "TYPE_MODEL_VALUE" : "OBJECT"
              },
              "value-type" : {
                  "TYPE_MODEL_VALUE" : "OBJECT"
              }
          },
          "stability" : "default",
          "read-only" : false,
          "runtime-only" : false
      }

## Galleon Features

Galleon features are to be used when creating Galleon feature-packs.

- subsystem.vertx.vertx-option

      <feature spec="subsystem.vertx.vertx-option">
        <param name="vertx-option" value="{resource name}"/>
        <param name="address-resolver-option" value="{value}"/>
        <param name="blocked-thread-check-interval" value="{value}"/>
        <param name="blocked-thread-check-interval-unit" value="{value}"/>
        <param name="classpath-resolving-enabled" value="{value}"/>
        <param name="event-loop-pool-size" value="{value}"/>
        <param name="file-cache-dir" value="{value}"/>
        <param name="file-cache-enabled" value="{value}"/>
        <param name="internal-blocking-pool-size" value="{value}"/>
        <param name="max-eventloop-execute-time" value="{value}"/>
        <param name="max-eventloop-execute-time-unit" value="{value}"/>
        <param name="max-worker-execute-time" value="{value}"/>
        <param name="max-worker-execute-time-unit" value="{value}"/>
        <param name="prefer-native-transport" value="{value}"/>
        <param name="warning-exception-time" value="{value}"/>
        <param name="warning-exception-time-unit" value="{value}"/>
        <param name="worker-pool-size" value="{value}"/>
      <feature/>